---
Name: dell-dsu-repo-mirror
Description: Mirrors all or select parts of the DelL DSU Repository.
Documentation: |
  This stage mirrors the Dell DSU repository with BIOS and Firmware packages.
  It is intended to mirror to the local disk, on the target machine that the
  Stage is run on.

  The target directory should be an accessible HTTP location path, that subsequent
  use of the Flash or BIOS tooling can use as a mirror.

  If the target machine is a DRP Endpoint, then the builtin HTTP File server can be
  used.  This is the default path value for the `dell-dsu-mirror-path` Param.

  By default, the most current version of BIOS/Firmware packages will be mirrored.
  Specific Block Releases can be specified via use of the `dell-dsu-mirror-releases`
  Param.  See the Param documentation for additional details.

  The mirroring process can be run as a Workflow on a Machine in Workflow mode;
  as a Blueprint on a Machine in Workorder mode, or as a standalone Stage in
  Workflow mode if Workflow is unset.

Meta:
  icon: copy outline
  color: blue
  title: RackN
RequiredParams:
  - dell-dsu-base-url
  - dell-dsu-mirror-releases
  - dell-dsu-mirror-path
OptionalParams:
  - dell-dsu-skip-keys
  - dell-dsu-skip-releases
  - dell-dsu-mirror-url
  - dell-dsu-mirror-insecure
  - dell-dsu-mirror-debug
  - dell-dsu-mirror-noop
  - dell-dsu-mirror-wget-override
Tasks:
  - dell-dsu-repo-mirror
